Last Comment Bug 54129 - Blackwood Makefiles need to be modified for commercial builds
: Blackwood Makefiles need to be modified for commercial builds
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-25 21:38 PDT by Ashu Kulkarni
Modified: 2012-04-09 22:27 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
tar.gz of Modified Makefiles - untar in /mozilla (4.05 KB, application/octet-stream)
2000-10-02 16:34 PDT, Ashu Kulkarni
no flags Details
cvs diff -u of Modified Makefiles (12.69 KB, patch)
2000-10-02 16:34 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u of webclient/classes_spec/Makefile.in (1.25 KB, patch)
2000-10-09 15:13 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u (changes in src_moz, classes_spec and java Makefiles) (4.67 KB, patch)
2000-10-10 11:48 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
changed make files for pluglets (1.54 KB, application/octet-stream)
2000-10-10 18:28 PDT, Igor Kushnirskiy
no flags Details
cvs diff -u of pluglets (2.91 KB, patch)
2000-10-10 18:30 PDT, Igor Kushnirskiy
no flags Details | Diff | Splinter Review
cvs diff -u for Makefiles to fix build error (1.67 KB, patch)
2000-10-11 11:11 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u java/webclient/src_moz/Makefile.in (1.52 KB, patch)
2000-10-12 10:53 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
tar.gz of all files in this iteration. (997 bytes, application/octet-stream)
2000-10-12 15:23 PDT, edburns
no flags Details
Extract the dom jar before building anything, second iteration. (853 bytes, patch)
2000-10-12 15:24 PDT, edburns
no flags Details | Diff | Splinter Review
cvs diff -u of runem_commercial.pl (2.14 KB, patch)
2000-10-25 14:16 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u for making commercial solaris package use .sh instead of .pl script (2.18 KB, patch)
2000-10-29 22:33 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review
cvs diff -u for Blackconnect integration. Also added java/external/Makefile.in (5.28 KB, patch)
2000-11-21 09:39 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review

Description Ashu Kulkarni 2000-09-25 21:38:47 PDT
Blackwood Makefiles (mozilla/java/Makefile) need to be set up to 
1. Build all Blackwood components - presently pluglets does not get built
2. Check if Commercial Build and 
	a) Version the Blackwood components
	b) Put in separate DEST_PATH
Comment 1 Ashu Kulkarni 2000-09-25 21:40:07 PDT
I submitted, I accept
Comment 2 edburns 2000-09-29 11:27:17 PDT
Added CC: edburns
Comment 3 Ashu Kulkarni 2000-10-02 16:34:01 PDT
Created attachment 15999 [details]
tar.gz of Modified Makefiles - untar in /mozilla
Comment 4 Ashu Kulkarni 2000-10-02 16:34:55 PDT
Created attachment 16000 [details] [diff] [review]
cvs diff -u of Modified Makefiles
Comment 5 Ashu Kulkarni 2000-10-02 16:38:38 PDT
3 files were modified and a new file runem_commercial.pl was added to src_share
directory. Now the java/Makefile builds util, dom, plugins and webclient in that
order.

Also, the webclient/src_moz and webclient/classes_spec Makefiles version the
binaries, create the blackwood.jar and version it and move all the binaries to
the appropriate directory if the Env Variable PACKAGE_BUILD is set.

Ed, pls test this and let me know if I have r=a=edburns.


thanks
_Ashu
Comment 6 Ashu Kulkarni 2000-10-09 15:13:34 PDT
Created attachment 16555 [details] [diff] [review]
cvs diff -u of webclient/classes_spec/Makefile.in
Comment 7 edburns 2000-10-09 17:28:09 PDT
Looks good.  r=edburns.
Comment 8 Ashu Kulkarni 2000-10-10 11:48:09 PDT
Created attachment 16664 [details] [diff] [review]
cvs diff -u (changes in src_moz, classes_spec and java Makefiles)
Comment 9 edburns 2000-10-10 14:09:47 PDT
r=edburns
a=edburns

Check this in.
Comment 10 Igor Kushnirskiy 2000-10-10 18:28:56 PDT
Created attachment 16742 [details]
changed make files for pluglets
Comment 11 Igor Kushnirskiy 2000-10-10 18:29:32 PDT
Makefiles  for pluglets.
In  case PACKAGE_BUILD is set 
  pluglet jars go to $(DIST)/javadev/examples
  htmls for sample pluglets go to $(DIST)/javadev/html
  data for sample pluglets go to $(DIST)/javadev/misc

In other case

pluglet jars go to $(DIST)/bin/plugins
htmls and data go to $(DIST)/bin/res/javadev/pluglets

In  last case htmls are accesible via resource:///res/javadev/pluglets/
(resource:///res/javadev/pluglets/zip.html for example)

Comment 12 Igor Kushnirskiy 2000-10-10 18:30:46 PDT
Created attachment 16743 [details] [diff] [review]
cvs diff -u  of pluglets
Comment 13 Ashu Kulkarni 2000-10-11 11:11:07 PDT
Created attachment 16778 [details] [diff] [review]
cvs diff -u for Makefiles to fix build error
Comment 14 Ashu Kulkarni 2000-10-11 11:15:34 PDT
Igor, pls check in your changes if you haven't already. Shirley will do another
build today afternoon and by today evening, we should have all the build issues
resolved.

Ed, your changes to java/Makefile.in (unjarring) does not work. If make sees a
export:: target in java/Makefile, it does not cd past the first Makefile in each
of the subdirs. i.e. only the Java Makefiles get built for all the projects and
neither the native code, nor the package directories get generated.

I have checked in changes to fix this and tested it. Pls let me know if I have
r=a=edburns

thanks
_Ashu
Comment 15 edburns 2000-10-11 11:41:44 PDT
Sure, I'm sorry I broke this.  r=a=edburns.
Comment 16 Igor Kushnirskiy 2000-10-11 11:46:55 PDT
I just checked in makefiles for pluglets
Thanks,
  Igor
Comment 17 Ashu Kulkarni 2000-10-12 10:53:35 PDT
Created attachment 16890 [details] [diff] [review]
cvs diff -u java/webclient/src_moz/Makefile.in
Comment 18 Ashu Kulkarni 2000-10-12 10:55:00 PDT
Last modification - minor change fo removing .so files from dist/bin
and dist/lib for commercial builds. they should be only in dist/javadev
Changes made to webclient/src_moz/Makefile.in

_Ashu
Comment 19 edburns 2000-10-12 12:35:20 PDT
r=a=edburns for first 10/12 attachment.
Comment 20 edburns 2000-10-12 15:23:30 PDT
Created attachment 16918 [details]
tar.gz of all files in this iteration.
Comment 21 edburns 2000-10-12 15:24:27 PDT
Created attachment 16919 [details] [diff] [review]
Extract the dom jar before building anything, second iteration.
Comment 22 edburns 2000-10-12 15:25:46 PDT
Hi Ashu,

I've just attached a diff which I believe implements "unjar the w3c dom before
doing anything" functionality without breaking anything.

Can you please review the previous two attachments and if they work, can you
please check them in?

Thanks,

Ed
Comment 23 Ashu Kulkarni 2000-10-25 14:16:48 PDT
Created attachment 17989 [details] [diff] [review]
cvs diff -u of runem_commercial.pl
Comment 24 Ashu Kulkarni 2000-10-29 22:33:51 PST
Created attachment 18271 [details] [diff] [review]
cvs diff -u for making commercial solaris package use .sh instead of .pl script
Comment 25 Ashu Kulkarni 2000-11-06 10:11:57 PST
Cloding Bug. All changes required for PR3 are in place and the PR3 branch is
frozen. This bug may be reopened only for extra RTM packaging needs.
Comment 26 Ashu Kulkarni 2000-11-21 09:39:17 PST
Created attachment 19557 [details] [diff] [review]
cvs diff -u for Blackconnect integration. Also added java/external/Makefile.in
Comment 27 Ashu Kulkarni 2000-11-21 09:40:36 PST
Reopening for RTM

Posted fix to integrate Blackconnect into commercial solaris package
Comment 28 Ashu Kulkarni 2001-02-12 19:46:14 PST
Closing Bug. After RTM, everything is in place for Blackwood packaging on 
Solaris

Note You need to log in before you can comment on or make changes to this bug.